package com.xlht.xlhtproject.service;


import com.xlht.xlhtproject.domain.TXlhtMedicineParam;

import java.util.List;

/**
 * 智能投药参数设置Service接口
 * 
 * @author slibra
 * @date 2024-09-09
 */
public interface ITXlhtMedicineParamService
{
    /**
     * 查询智能投药参数设置
     * 
     * @param id 智能投药参数设置主键
     * @return 智能投药参数设置
     */
    public TXlhtMedicineParam selectTXlhtMedicineParamById(Long id);

    /**
     * 查询智能投药参数设置列表
     * @param tXlhtMedicineParam 智能投药参数设置
     * @return 智能投药参数设置集合
     */
    public List<TXlhtMedicineParam> selectTXlhtMedicineParamList(TXlhtMedicineParam tXlhtMedicineParam);

    /**
     * 新增智能投药参数设置
     * 
     * @param tXlhtMedicineParam 智能投药参数设置
     * @return 结果
     */
    public int insertTXlhtMedicineParam(TXlhtMedicineParam tXlhtMedicineParam);

    /**
     * 修改智能投药参数设置
     * 
     * @param tXlhtMedicineParam 智能投药参数设置
     * @return 结果
     */
    public int updateTXlhtMedicineParam(TXlhtMedicineParam tXlhtMedicineParam);

    /**
     * 批量删除智能投药参数设置
     * 
     * @param ids 需要删除的智能投药参数设置主键集合
     * @return 结果
     */
    public int deleteTXlhtMedicineParamByIds(Long[] ids);

    /**
     * 删除智能投药参数设置信息
     * 
     * @param id 智能投药参数设置主键
     * @return 结果
     */
    public int deleteTXlhtMedicineParamById(Long id);

    TXlhtMedicineParam getLatestRecord();
}
